Package picard.illumina.parser

# Class MultiTileFilterParser

java.lang.Object
picard.illumina.parser.MultiTileParser<picard.illumina.parser.PfData>
picard.illumina.parser.MultiTileFilterParser

All Implemented Interfaces:
  `Iterator<picard.illumina.parser.PfData>`

public class MultiTileFilterParser extends MultiTileParser<picard.illumina.parser.PfData>
Read filter file that contains multiple tiles in a single file. A tile index is needed to parse this file so that {tile number, cluster number} can be converted into absolute record number in file.

## Constructor Summary

Constructors
Constructor
Description
`MultiTileFilterParser(TileIndex tileIndex, List<Integer> requestedTiles, File filterFile)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`

### Methods inherited from class picard.illumina.parser.MultiTileParser

`getTileOfNextCluster, hasNext, next, remove, seekToTile, supportedTypes, verifyData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### MultiTileFilterParser

public MultiTileFilterParser(TileIndex tileIndex, List<Integer> requestedTiles, File filterFile)

## Method Details

### close

public void close()